# **********************************************************************
#
# Copyright (c) 2003-2008 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

# Ice version 3.3.0
# Generated from file `combine_cmd.ice'

import Ice, IcePy, __builtin__

# Start of module Combine
_M_Combine = Ice.openModule('Combine')
__name__ = 'Combine'

if not _M_Combine.__dict__.has_key('Command'):
    _M_Combine.Command = Ice.createTempClass()
    class Command(Ice.Object):
        def __init__(self):
            if __builtin__.type(self) == _M_Combine.Command:
                raise RuntimeError('Combine.Command is an abstract class')

        def ice_ids(self, current=None):
            return ('::Combine::Command', '::Ice::Object')

        def ice_id(self, current=None):
            return '::Combine::Command'

        def ice_staticId():
            return '::Combine::Command'
        ice_staticId = staticmethod(ice_staticId)

        #
        # Operation signatures.
        #
        # def cmd(self, inc, current=None):

        def __str__(self):
            return IcePy.stringify(self, _M_Combine._t_Command)

        __repr__ = __str__

    _M_Combine.CommandPrx = Ice.createTempClass()
    class CommandPrx(Ice.ObjectPrx):

        def cmd(self, inc, _ctx=None):
            return _M_Combine.Command._op_cmd.invoke(self, ((inc, ), _ctx))

        def checkedCast(proxy, facetOrCtx=None, _ctx=None):
            return _M_Combine.CommandPrx.ice_checkedCast(proxy, '::Combine::Command', facetOrCtx, _ctx)
        checkedCast = staticmethod(checkedCast)

        def uncheckedCast(proxy, facet=None):
            return _M_Combine.CommandPrx.ice_uncheckedCast(proxy, facet)
        uncheckedCast = staticmethod(uncheckedCast)

    _M_Combine._t_CommandPrx = IcePy.defineProxy('::Combine::Command', CommandPrx)

    _M_Combine._t_Command = IcePy.defineClass('::Combine::Command', Command, (), True, None, (), ())
    Command.ice_type = _M_Combine._t_Command

    Command._op_cmd = IcePy.Operation('cmd', Ice.OperationMode.Normal, Ice.OperationMode.Normal, False, (), (((), IcePy._t_double),), (), None, ())

    _M_Combine.Command = Command
    del Command

    _M_Combine.CommandPrx = CommandPrx
    del CommandPrx

# End of module Combine
